<?php

	$medo_pixel_pix_theme_css = "";


	// site title and tagline font size option
	$medo_pixel_title_font_size = get_theme_mod('medo_pixel_title_font_size', 22);{
		$medo_pixel_pix_theme_css .='.site-header .site-branding .site-title a {';
	$medo_pixel_pix_theme_css .='font-size: '.esc_attr($medo_pixel_title_font_size).'px;!important';
		$medo_pixel_pix_theme_css .='}';
	}

	// site title and tagline font size option
	$medo_pixel_site_tagline_font_size = get_theme_mod('medo_pixel_site_tagline_font_size', 14);{
		$medo_pixel_pix_theme_css .='.site-header .site-branding .site-description {';
	$medo_pixel_pix_theme_css .='font-size: '.esc_attr($medo_pixel_site_tagline_font_size).'px;!important';
		$medo_pixel_pix_theme_css .='}';
	}
	
	//Font Weight
	$medo_pixel_menu_font_weight = get_theme_mod( 'medo_pixel_menu_font_weight','');
	if($medo_pixel_menu_font_weight == '100'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 100;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '200'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 200;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '300'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 300;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '400'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 400;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '500'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 500;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '600'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 600;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '700'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 700;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '800'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 800;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_font_weight == '900'){
	$medo_pixel_pix_theme_css .='.nav_menu li a {';
		$medo_pixel_pix_theme_css .='font-weight: 900;';
	$medo_pixel_pix_theme_css .='}';
	}

	// menu text transform
	$medo_pixel_menu_text_tranform = get_theme_mod( 'medo_pixel_menu_text_tranform','Capitalize');
	if($medo_pixel_menu_text_tranform == 'Uppercase'){
	$medo_pixel_pix_theme_css .='.nav_menu li a  {';
		$medo_pixel_pix_theme_css .='text-transform: uppercase;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_menu_text_tranform == 'Lowercase'){
	$medo_pixel_pix_theme_css .='.nav_menu li a  {';
		$medo_pixel_pix_theme_css .='text-transform: lowercase;';
	$medo_pixel_pix_theme_css .='}';
	}
	else if($medo_pixel_menu_text_tranform == 'Capitalize'){
	$medo_pixel_pix_theme_css .='.nav_menu li a  {';
		$medo_pixel_pix_theme_css .='text-transform: capitalize;';
	$medo_pixel_pix_theme_css .='}';
	}

	//menu font size
	$medo_pixel_menu_font_size = get_theme_mod('medo_pixel_menu_font_size', 16);{
	$medo_pixel_pix_theme_css .='.nav_menu li a ,.main-navigation li.page_item_has_children:after, .main-navigation li.menu-item-has-children:after{';
		$medo_pixel_pix_theme_css .='font-size: '.esc_attr($medo_pixel_menu_font_size).'px;';
	$medo_pixel_pix_theme_css .='}';
	}

	//Add Settings and Controls for Scroll top
	$medo_pixel_scroll_top_position = get_theme_mod( 'medo_pixel_scroll_top_position','Right');
	if($medo_pixel_scroll_top_position == 'Right'){
	$medo_pixel_pix_theme_css .='#return-to-top{';
	    $medo_pixel_pix_theme_css .='right: 20px;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_scroll_top_position == 'Left'){
	$medo_pixel_pix_theme_css .='#return-to-top{';
	    $medo_pixel_pix_theme_css .='left: 20px;';
	$medo_pixel_pix_theme_css .='}';
	}else if($medo_pixel_scroll_top_position == 'Center'){
	$medo_pixel_pix_theme_css .='#return-to-top{';
	    $medo_pixel_pix_theme_css .='right: 50%;left: 50%;';
	$medo_pixel_pix_theme_css .='}';
	}


	// footer widget option 


	$medo_pixel_footer_widget_background_color = get_theme_mod('medo_pixel_footer_widget_background_color');
			if ($medo_pixel_footer_widget_background_color) {

				$medo_pixel_pix_theme_css .= "
					.top-footer {
						background-color: ". esc_attr($medo_pixel_footer_widget_background_color) .";
					}
				";
			}

			$medo_pixel_footer_widget_background_image = get_theme_mod('medo_pixel_footer_widget_background_image');
			if ($medo_pixel_footer_widget_background_image) {
				$medo_pixel_pix_theme_css .= "
					.top-footer {
						background-image: url(" . esc_url($medo_pixel_footer_widget_background_image) . ");
					}
				";
			}